Loading...
Searching...
No Matches
volk_8u_x2_encodeframepolar_8u.h File Reference
`#include <string.h>`
`#include <tmmintrin.h>`

Go to the source code of this file.

## Macros

#define | VOLK_KERNELS_VOLK_VOLK_8U_X2_ENCODEFRAMEPOLAR_8U_A_H_

## Functions

static unsigned int | log2_of_power_of_2 (unsigned int val)
static void | encodepolar_single_stage (unsigned char *frame_ptr, const unsigned char *temp_ptr, const unsigned int num_branches, const unsigned int frame_half)
static void | volk_8u_x2_encodeframepolar_8u_generic (unsigned char *frame, unsigned char *temp, unsigned int frame_size)
static void | volk_8u_x2_encodeframepolar_8u_u_ssse3 (unsigned char *frame, unsigned char *temp, unsigned int frame_size)
static void | volk_8u_x2_encodeframepolar_8u_a_ssse3 (unsigned char *frame, unsigned char *temp, unsigned int frame_size)

## Macro Definition Documentation

## VOLK_KERNELS_VOLK_VOLK_8U_X2_ENCODEFRAMEPOLAR_8U_A_H_

#define VOLK_KERNELS_VOLK_VOLK_8U_X2_ENCODEFRAMEPOLAR_8U_A_H_

## Function Documentation

## encodepolar_single_stage()

void encodepolar_single_stage | ( | unsigned char * | frame_ptr,
|  | const unsigned char * | temp_ptr,
|  | const unsigned int | num_branches,
|  | const unsigned int | frame_half )

inline static

## log2_of_power_of_2()

unsigned int log2_of_power_of_2 | ( | unsigned int | val | ) |

inline static

## volk_8u_x2_encodeframepolar_8u_a_ssse3()

void volk_8u_x2_encodeframepolar_8u_a_ssse3 | ( | unsigned char * | frame,
|  | unsigned char * | temp,
|  | unsigned int | frame_size )

inline static

## volk_8u_x2_encodeframepolar_8u_generic()

void volk_8u_x2_encodeframepolar_8u_generic | ( | unsigned char * | frame,
|  | unsigned char * | temp,
|  | unsigned int | frame_size )

inline static

## volk_8u_x2_encodeframepolar_8u_u_ssse3()

void volk_8u_x2_encodeframepolar_8u_u_ssse3 | ( | unsigned char * | frame,
|  | unsigned char * | temp,
|  | unsigned int | frame_size )

inline static